using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 成绩分数段类型
/// </summary>
public enum ExamScoreRangeType
{
    /// <summary>
    /// 无
    /// </summary>
    [Description("无")]
    NONE = 0,
    /// <summary>
    /// 高中总分750，已选科，57段，10分1段
    /// </summary>
    [Description("高中总分750，已选科，57段，10分1段")]
    NCEE_750 = 1,
    /// <summary>
    /// 高中单科150，31段，5分1段
    /// </summary>
    [Description("高中单科150，31段，5分1段")]
    NCEE_150 = 2,
    /// <summary>
    /// 高中单科100，21段，5分1段
    /// </summary>
    [Description("高中单科100，21段，5分1段")]
    NCEE_100 = 3,
    /// <summary>
    /// 高中总分1050，未选科，68段，10分1段
    /// </summary>
    [Description("高中总分1050，未选科，68段，10分1段")]
    NCEE_1050 = 4,

    /// <summary>
    /// 总分750，28段，初一初三
    /// </summary>
    [Description("总分750，28段，初一初三")]
    EXAM_750 = 5,
    /// <summary>
    /// 总分850分，28段，初三
    /// </summary>
    [Description("总分850分，28段，初三")]
    EXAM_850 = 6,
    /// <summary>
    /// 单科150分，14段，初中语文
    /// </summary>
    [Description("单科150分，14段，初中语文")]
    EXAM_150_1 = 7,
    /// <summary>
    /// 单科150分，16段，初中数学、英语
    /// </summary>
    [Description("单科150分，16段，初中数学、英语")]
    EXAM_150_2 = 8,
    /// <summary>
    /// 单科100分，13段
    /// </summary>
    [Description("单科100分，13段")]
    EXAM_100 = 9,
    /// <summary>
    /// 单科50分，13段
    /// </summary>
    [Description("单科50分，13段")]
    EXAM_50 = 10,
    /// <summary>
    /// 总分300分，20段，小学
    /// </summary>
    [Description("总分300分，20段，小学")]
    EXAM_300 = 11,
}
